const addon = require('./build/Release/hello');
const COUNT = 10000;

const primes = count => {
	let total = 0;
	for (let i = 1; i < count; i++) {

		let prime = true;
		for (let z = 2; z < i - 1; z++) {
			if (i % z === 0) prime = false;
		}

		if (prime) total++;
		// if (prime === true) console.log(`${i} is prime`);
	}

	return total;
}

console.log('starting...');

(async () => {
	for (let a = 1; a < 10; a++) {

		console.time(`primes (c${a})`);
		console.log(`total primes from 1 to ${COUNT} in c: ${await addon.my_function(COUNT)}`);
		console.timeEnd(`primes (c${a})`);

		console.time(`primes (js${a})`);
		console.log(`total primes from 1 to ${COUNT} in js: ${primes(COUNT)}`);
		console.timeEnd(`primes (js${a})`);

	}
})();
